| Home | Libraries | People | FAQ | More

## Struct template promote_base

boost::numeric::functional::promote_base

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename To, typename From, typename EnableIf>
    struct promote_base : public std::unary_function< From, To > {

      // public member functions
      To operator()(From &) const;
    };

## Description

### `promote_base` public member functions

1.     To operator()(From & from) const;